
Infrastructure - Task #1526

Bug # 1525 (Closed): System metadata replication errors

Handle "update" replication requests that do not necessarily update the docid (access control

changes)

2011-05-04 22:09 - Ben Leinfelder

Status: Closed Start date: 2011-05-04

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 2.00 hours

Target version: Sprint-2011.18-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

we won't always be inserting these fields and need a method to handle updates [for replication]

History

#1 - 2011-05-05 16:17 - Ben Leinfelder

- Subject changed from include updateSystemMetadataFields() method for IdentifierManager to Handle "update" replication requests that do not

necessarily update the docid (access control changes)

- Assignee set to Ben Leinfelder

#2 - 2011-05-05 16:24 - Ben Leinfelder

Metacat triggers a 'force replication' action when we setAccess on the auto-generated sysmeta file - this does not increment the id. When the target

Metacat attempts to handle this replication request, an attempt is made to insert the sysmeta doc again with the same id and then throws a PK

constraint error.

We should either handle the access control change (to sync it with the originating server) or just ignore this forced replication 'update'.

#3 - 2011-05-05 22:22 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

- Estimated time set to 2.00

I added an updateMapping() method to the IdentifierManager class that is now used when we encounter a forced replication update request. This

prevents the systemMetadata unique key constraint from being violated when the doc is replicated (again) after the setAccess call.

Powered by TCPDF (www.tcpdf.org)

2024-04-23 1/1

http://www.tcpdf.org

